ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From atk...@apache.org
Subject ambari git commit: AMBARI-13054 Pre-Req Endpoint Should Be Used For Determining Upgrade Button Visibility, second patch. (atkach)
Date Fri, 18 Sep 2015 10:43:16 GMT
Repository: ambari
Updated Branches:
  refs/heads/branch-2.1 136dc8eed -> 653877d81


AMBARI-13054 Pre-Req Endpoint Should Be Used For Determining Upgrade Button Visibility, second
patch. (atkach)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/653877d8
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/653877d8
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/653877d8

Branch: refs/heads/branch-2.1
Commit: 653877d810d417d43a9db557e2cc5bc1a36495de
Parents: 136dc8e
Author: Andrii Tkach <atkach@hortonworks.com>
Authored: Fri Sep 18 13:42:41 2015 +0300
Committer: Andrii Tkach <atkach@hortonworks.com>
Committed: Fri Sep 18 13:43:06 2015 +0300

----------------------------------------------------------------------
 .../views/main/admin/stack_upgrade/upgrade_version_box_view.js   | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/653877d8/ambari-web/app/views/main/admin/stack_upgrade/upgrade_version_box_view.js
----------------------------------------------------------------------
diff --git a/ambari-web/app/views/main/admin/stack_upgrade/upgrade_version_box_view.js b/ambari-web/app/views/main/admin/stack_upgrade/upgrade_version_box_view.js
index d7bbea2..ed9c53b 100644
--- a/ambari-web/app/views/main/admin/stack_upgrade/upgrade_version_box_view.js
+++ b/ambari-web/app/views/main/admin/stack_upgrade/upgrade_version_box_view.js
@@ -144,7 +144,7 @@ App.UpgradeVersionBoxView = Em.View.extend({
       element.set('action', 'showProgressPopup');
     }
     else if ((status === 'INSTALLED' && !this.get('isUpgrading')) ||
-             (status === 'INSTALL_FAILED' && this.get('isUpgradeAvailable'))) {
+             (['INSTALL_FAILED', 'OUT_OF_SYNC'].contains(status) && this.get('isUpgradeAvailable')))
{
       if (stringUtils.compareVersions(this.get('content.repositoryVersion'), Em.get(currentVersion,
'repository_version')) === 1) {
         var isDisabled = !App.isAccessible('ADMIN') || this.get('controller.requestInProgress')
|| isInstalling;
         element.set('isButtonGroup', true);
@@ -357,7 +357,7 @@ App.UpgradeVersionBoxView = Em.View.extend({
    * when version in INSTALL_FAILED state it still could be upgraded if check passed
    */
   checkUpgradeAvailability: function () {
-    if (this.get('content.status') === 'INSTALL_FAILED') {
+    if (['INSTALL_FAILED', 'OUT_OF_SYNC'].contains(this.get('content.status'))) {
       this.runUpgradeCheck();
     }
   }.observes('content.status'),


Mime
View raw message